/*
 * RTCRV3029.h
 *
 * Created: 12.08.2017 04:56:25
 *  Author: Nenninger
 */ 


#ifndef RTCRV3029_H_
#define RTCRV3029_H_

#include <avr/io.h>
#include <avr/interrupt.h>

// RTC Adressen

#define RTCAdr 0xAC // I2C bus address of RTCAdr RTC
#define SECONDS_REGISTER 0x08
#define MINUTES_REGISTER 0x09
#define HOURS_REGISTER 0x0a
#define DAYOFWK_REGISTER 0x0c
#define DAYS_REGISTER 0x0b
#define MONTHS_REGISTER 0x0d
#define YEARS_REGISTER 0x0e
#define TEMPERATURE_REGISTER 0x20
#define CONTROL_REGISTER 0x30
#define CONTROL_STATUS 0x03
#define CONTROL_1 0x00
#define CONTROL_RESET 0x04
#define RTC_PON 0x05
#define RTC_SR 0x04
//#define RAM_BEGIN 0x08
//#define RAM_END 0x3F

uint8_t RTC_dec2bcd(uint8_t val);
uint8_t RTC_bcd2dec(uint8_t val);
void RTC_GetTime(uint8_t *hours, uint8_t *minutes, uint8_t *seconds);
void RTC_GetDate(uint8_t *months, uint8_t *days, uint8_t *years);
void RTC_GetTemp(uint8_t *temp);
void RTC_SetDateTimeDate(uint8_t *days, uint8_t *months, uint8_t *years, uint8_t *hours, uint8_t *minutes, uint8_t *seconds);
void RTC_UrInit(void);
void RTC_INIT(void);
void RTC_START(void);
void RTC_STOP(void);



#endif /* RTCRV3029_H_ */