/*
 * SiebenSegment5x7.c
 *
 * Created: 13.08.2017 07:57:45
 *  Author: Nenninger
 */ 

#include "global.h"
#include "WSMatrixSenkrecht.h"
#include "SiebenSegment.h"

void SEGw(uint8_t  x, uint8_t y, uint8_t z, uint8_t rot,uint8_t gruen,uint8_t blau){
	uint16_t led;
	for(uint8_t c = 0;c<z;c++){
		led = XYtoLED(x+c,y);
		leds[led].r = rot;
		leds[led].g = gruen;
		leds[led].b = blau;
	}
	
}

void SEGs(uint8_t  x, uint8_t y, uint8_t z, uint8_t rot,uint8_t gruen,uint8_t blau){
	uint16_t led;
	for(uint8_t c = 0;c<z;c++){
		led = XYtoLED(x,y+c);
		leds[led].r = rot;
		leds[led].g = gruen;
		leds[led].b = blau;
	}
	
}

void LineH(uint8_t  x, uint8_t y, uint8_t z, uint8_t rot,uint8_t gruen,uint8_t blau){
	uint16_t led;
	for(uint8_t c = 0;c<z;c++){
		led = XYtoLED(x+c,y);
		leds[led].r = rot;
		leds[led].g = gruen;
		leds[led].b = blau;
	}
	
}

void LineV(uint8_t  x, uint8_t y, uint8_t z, uint8_t rot,uint8_t gruen,uint8_t blau){
	uint16_t led;
	for(uint8_t c = 0;c<z;c++){
		led = XYtoLED(x,y+c);
		leds[led].r = rot;
		leds[led].g = gruen;
		leds[led].b = blau;
	}
	
}

void Flaeche( uint8_t  x, uint8_t y, uint8_t  tox, uint8_t toy, uint8_t rot,uint8_t gruen,uint8_t blau){
	for(uint8_t c = 0;c<(tox-x)+1;c++){
		SEGs(x+c,y,toy-y,rot,gruen,blau);
	}
}

uint8_t Out5x7Charold(char zeichen, uint8_t  x, uint8_t y, uint8_t rot,uint8_t gruen,uint8_t blau){
	switch (zeichen){
		case '0':
			SEGw(x+1,y,3,rot,gruen,blau);
			SEGw(x+1,y+6,3,rot,gruen,blau);
			SEGs(x,y+1,5,rot,gruen,blau);
			SEGs(x+4,y+1,5,rot,gruen,blau);
			return 5;
		break;
		case '1':
			SEGs(x+4,y,7,rot,gruen,blau);
			SEGs(x+3,y+1,1,rot,gruen,blau);
			SEGs(x+2,y+2,1,rot,gruen,blau);
			SEGs(x+1,y+3,1,rot,gruen,blau);
			return 5;
		break;
		case '2':
		    SEGw(x,y+1,1,rot,gruen,blau);
			SEGw(x+1,y,3,rot,gruen,blau);
			SEGw(x+1,y+3,3,rot,gruen,blau);
			SEGw(x,y+6,5,rot,gruen,blau);
			SEGs(x+4,y+1,3,rot,gruen,blau);
			SEGs(x,y+4,2,rot,gruen,blau);
			return 5;
		break;
		case '3':
			SEGw(x,y,4,rot,gruen,blau);
			SEGw(x+1,y+3,3,rot,gruen,blau);
			SEGw(x,y+6,4,rot,gruen,blau);
			SEGs(x+4,y+1,2,rot,gruen,blau);
			SEGs(x+4,y+4,2,rot,gruen,blau);
			return 5;
		break;
		case '4':
			SEGw(x,y+3,5,rot,gruen,blau);
			SEGs(x+4,y,7,rot,gruen,blau);
			SEGs(x,y,4,rot,gruen,blau);
			return 5;
		break;
		case '5':
			SEGw(x,y,5,rot,gruen,blau);
			SEGw(x,y+3,4,rot,gruen,blau);
			SEGw(x,y+6,4,rot,gruen,blau);
			SEGs(x,y,4,rot,gruen,blau);
			SEGs(x+4,y+4,2,rot,gruen,blau);
			return 5;
		break;
		case '6':
			SEGw(x+1,y,3,rot,gruen,blau);
			SEGw(x+4,y+1,1,rot,gruen,blau);
			SEGw(x,y+3,4,rot,gruen,blau);
			SEGw(x+1,y+6,3,rot,gruen,blau);
			SEGs(x,y+1,5,rot,gruen,blau);
			SEGs(x+4,y+4,2,rot,gruen,blau);
			return 5;
		break;
		case '7':
			SEGw(x,y,5,rot,gruen,blau);
			SEGs(x+4,y+1,2,rot,gruen,blau);
			SEGs(x+3,y+3,2,rot,gruen,blau);
			SEGs(x+2,y+5,2,rot,gruen,blau);
			return 5;
		break;
		case '8':
			SEGw(x+1,y,3,rot,gruen,blau);
			SEGw(x+1,y+3,3,rot,gruen,blau);
			SEGw(x+1,y+6,3,rot,gruen,blau);
			SEGs(x,y+1,2,rot,gruen,blau);
			SEGs(x+4,y+1,2,rot,gruen,blau);
			SEGs(x,y+4,2,rot,gruen,blau);
			SEGs(x+4,y+4,2,rot,gruen,blau);
			return 5;
		break;
		case '9':
			SEGw(x+1,y,3,rot,gruen,blau);
			SEGw(x+1,y+3,4,rot,gruen,blau);
			SEGw(x+1,y+6,3,rot,gruen,blau);
			SEGs(x,y+1,2,rot,gruen,blau);
			SEGs(x+4,y+1,2,rot,gruen,blau);
			SEGs(x+4,y+4,2,rot,gruen,blau);
			return 5;
		break;
		case ':':
			SEGs(x,y+2,1,rot,gruen,blau);
			SEGs(x,y+4,1,rot,gruen,blau);
			return 1;
		break;
		case '.':
			SEGs(x,y+6,1,rot,gruen,blau);
			return 1;
		break;
		case '-':
			SEGw(x,y+3,3,rot,gruen,blau);
			return 3;
		break;
		case 'F':
			SEGs(x+1,y,7,rot,gruen,blau);
			SEGw(x+2,y,3,rot,gruen,blau);
			SEGw(x+2,y+3,2,rot,gruen,blau);
			return 4;
		break;
		case 'N':
			SEGs(x,y,7,rot,gruen,blau);
			SEGs(x+1,y+1,1,rot,gruen,blau);
			SEGs(x+2,y+2,1,rot,gruen,blau);
			SEGs(x+3,y+3,1,rot,gruen,blau);
			SEGs(x+4,y,7,rot,gruen,blau);
			return 5;
		break;
		case 'R':
			SEGw(x,y,4,rot,gruen,blau);
			SEGs(x,y+1,6,rot,gruen,blau);
			SEGs(x+4,y+1,2,rot,gruen,blau);
			SEGw(x+1,y+3,3,rot,gruen,blau);
			SEGw(x+2,y+4,1,rot,gruen,blau);
			SEGw(x+3,y+5,1,rot,gruen,blau);
			SEGw(x+4,y+6,1,rot,gruen,blau);
			return 5;
		break;
		case 'S':
			SEGw(x+1,y,3,rot,gruen,blau);
			SEGs(x,y+1,2,rot,gruen,blau);
			SEGs(x+4,y+1,1,rot,gruen,blau);
			SEGw(x+1,y+3,3,rot,gruen,blau);
			SEGs(x+4,y+4,2,rot,gruen,blau);
			SEGs(x,y+5,1,rot,gruen,blau);
			SEGw(x+1,y+6,3,rot,gruen,blau);
			return 5;
		break;
		case 'T':
			SEGw(x,y,5,rot,gruen,blau);
			SEGs(x+2,y+1,6,rot,gruen,blau);
			return 5;
		break;
		case 'l':
			SEGs(x,y,7,rot,gruen,blau);
			return 1;
		break;
		case 'o':
			SEGw(x+1,y+2,2,rot,gruen,blau);
			SEGw(x+1,y+6,2,rot,gruen,blau);
			SEGs(x,y+3,3,rot,gruen,blau);
			SEGs(x+3,y+3,3,rot,gruen,blau);
			return 4;
		break;
		case 's':
			SEGw(x+1,y+2,3,rot,gruen,blau);
			SEGw(x+1,y+4,2,rot,gruen,blau);
			SEGw(x,y+6,3,rot,gruen,blau);
			SEGs(x,y+3,1,rot,gruen,blau);
			SEGs(x+3,y+5,1,rot,gruen,blau);
			return 4;
		break;
	}
	return 0;
}

uint8_t Out5x7Char(char charater, uint8_t  x, uint8_t y, uint8_t red, uint8_t green, uint8_t blue){
	switch (charater){
		case '0':
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineV(x,y+1,5,red,green,blue);
		LineV(x+4,y+1,5,red,green,blue);
		//LineV(x+2,y+3,1,red,green,blue);
		return 5;
		break;
		case '1':
		LineV(x+2,y,7,red,green,blue);
		LineV(x+1,y+1,1,red,green,blue);
		LineV(x,y+2,1,red,green,blue);
		//LineV(x+1,y+3,1,red,green,blue);
		return 3;
		break;
		case '2':
		LineH(x,y+1,1,red,green,blue);
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+5,1,red,green,blue);
		LineH(x+2,y+4,1,red,green,blue);
		LineH(x+3,y+3,1,red,green,blue);
		LineH(x,y+6,5,red,green,blue);
		LineV(x+4,y+1,2,red,green,blue);
		//LineV(x,y+4,2,red,green,blue);
		return 5;
		break;
		case '3':
		LineH(x,y,4,red,green,blue);
		LineH(x+1,y+3,3,red,green,blue);
		LineH(x,y+6,4,red,green,blue);
		LineV(x+4,y+1,2,red,green,blue);
		LineV(x+4,y+4,2,red,green,blue);
		return 5;
		break;
		case '4':
		LineH(x,y+3,5,red,green,blue);
		LineV(x+4,y,7,red,green,blue);
		LineV(x,y,4,red,green,blue);
		return 5;
		break;
		case '5':
		LineH(x,y,5,red,green,blue);
		LineH(x,y+3,4,red,green,blue);
		LineH(x,y+6,4,red,green,blue);
		LineV(x,y,4,red,green,blue);
		LineV(x+4,y+4,2,red,green,blue);
		return 5;
		break;
		case '6':
		LineH(x+1,y,3,red,green,blue);
		LineH(x+4,y+1,1,red,green,blue);
		LineH(x,y+3,4,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineV(x,y+1,5,red,green,blue);
		LineV(x+4,y+4,2,red,green,blue);
		return 5;
		break;
		case '7':
		LineH(x,y,5,red,green,blue);
		LineV(x+4,y+1,2,red,green,blue);
		LineV(x+3,y+3,2,red,green,blue);
		LineV(x+2,y+5,2,red,green,blue);
		return 5;
		break;
		case '8':
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+3,3,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineV(x,y+1,2,red,green,blue);
		LineV(x+4,y+1,2,red,green,blue);
		LineV(x,y+4,2,red,green,blue);
		LineV(x+4,y+4,2,red,green,blue);
		return 5;
		break;
		case '9':
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+3,4,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineV(x,y+1,2,red,green,blue);
		LineV(x+4,y+1,2,red,green,blue);
		LineV(x+4,y+4,2,red,green,blue);
		return 5;
		break;
		case ':':
		LineV(x,y+2,1,red,green,blue);
		LineV(x,y+4,1,red,green,blue);
		return 1;
		break;
		case '.':
		LineV(x,y+6,1,red,green,blue);
		return 1;
		break;
		case '-':
		LineH(x,y+3,3,red,green,blue);
		return 3;
		break;
		case ' ':
		return 1;
		break;
		case '!':
		LineV(x,y,5,red,green,blue);
		LineV(x,y+6,1,red,green,blue);
		return 1;
		break;
		case 'A':
		LineV(x,y+1,6,red,green,blue);
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+3,3,red,green,blue);
		LineV(x+4,y+1,6,red,green,blue);
		return 5;
		break;
		case 'C':
		LineV(x,y+1,5,red,green,blue);
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineV(x+4,y+1,1,red,green,blue);
		LineV(x+4,y+5,1,red,green,blue);
		return 5;
		break;
		case 'D':
		LineV(x,y,7,red,green,blue);
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineV(x+4,y+1,5,red,green,blue);
		return 5;
		break;
		case 'E':
		LineV(x,y,7,red,green,blue);
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+3,2,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		return 4;
		break;
		case 'F':
		LineV(x,y,7,red,green,blue);
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+3,2,red,green,blue);
		return 4;
		break;
		case 'G':
		LineV(x,y+1,5,red,green,blue);
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineH(x+2,y+3,2,red,green,blue);
		LineV(x+4,y+1,1,red,green,blue);
		LineV(x+4,y+3,4,red,green,blue);
		return 5;
		break;
		case 'H':
		LineH(x,y+3,5,red,green,blue);
		LineV(x,y,7,red,green,blue);
		LineV(x+4,y,7,red,green,blue);
		return 5;
		break;
		case 'I':
		LineV(x+1,y+1,5,red,green,blue);
		LineH(x,y,3,red,green,blue);
		LineH(x,y+6,3,red,green,blue);
		return 3;
		break;
		case 'M':
		LineV(x,y,7,red,green,blue);
		LineV(x+1,y+1,1,red,green,blue);
		LineV(x+2,y+2,2,red,green,blue);
		LineV(x+3,y+1,1,red,green,blue);
		LineV(x+4,y,7,red,green,blue);
		return 5;
		break;
		case 'N':
		LineV(x,y,7,red,green,blue);
		LineV(x+1,y+1,1,red,green,blue);
		LineV(x+2,y+2,1,red,green,blue);
		LineV(x+3,y+3,1,red,green,blue);
		LineV(x+4,y,7,red,green,blue);
		return 5;
		break;
		case 'O':
		LineH(x+1,y,3,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineV(x,y+1,5,red,green,blue);
		LineV(x+4,y+1,5,red,green,blue);
		return 5;
		break;
		case 'P':
		LineH(x,y,4,red,green,blue);
		LineV(x,y+1,6,red,green,blue);
		LineV(x+4,y+1,2,red,green,blue);
		LineH(x+1,y+3,3,red,green,blue);
		return 5;
		break;
		case 'R':
		LineH(x,y,4,red,green,blue);
		LineV(x,y+1,6,red,green,blue);
		LineV(x+4,y+1,2,red,green,blue);
		LineH(x+1,y+3,3,red,green,blue);
		LineH(x+2,y+4,1,red,green,blue);
		LineH(x+3,y+5,1,red,green,blue);
		LineH(x+4,y+6,1,red,green,blue);
		return 5;
		break;
		case 'S':
		LineH(x+1,y,3,red,green,blue);
		LineV(x,y+1,2,red,green,blue);
		LineV(x+4,y+1,1,red,green,blue);
		LineH(x+1,y+3,3,red,green,blue);
		LineV(x+4,y+4,2,red,green,blue);
		LineV(x,y+5,1,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		return 5;
		break;
		case 'T':
		LineH(x,y,5,red,green,blue);
		LineV(x+2,y+1,6,red,green,blue);
		return 5;
		break;
		case 'U':
		LineV(x,y,6,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		LineV(x+4,y,6,red,green,blue);
		return 5;
		break;
		case 'V':
		LineV(x,y,5,red,green,blue);
		LineV(x+4,y,5,red,green,blue);
		LineV(x+1,y+5,1,red,green,blue);
		LineV(x+2,y+6,1,red,green,blue);
		LineV(x+3,y+5,1,red,green,blue);
		return 5;
		break;
		case 'W':
		LineV(x,y,7,red,green,blue);
		LineV(x+4,y,7,red,green,blue);
		LineV(x+1,y+5,1,red,green,blue);
		LineV(x+3,y+5,1,red,green,blue);
		LineV(x+2,y+4,1,red,green,blue);
		return 5;
		break;
		case 'Z':
		LineH(x,y,5,red,green,blue);
		LineH(x,y+6,5,red,green,blue);
		LineV(x+4,y+1,1,red,green,blue);
		LineV(x+3,y+2,1,red,green,blue);
		LineV(x+2,y+3,1,red,green,blue);
		LineV(x+1,y+4,1,red,green,blue);
		LineV(x,y+5,1,red,green,blue);
		return 5;
		break;
		case 'a':
		LineV(x,y+3,3,red,green,blue);
		LineV(x+3,y+3,4,red,green,blue);
		LineH(x+1,y+2,2,red,green,blue);
		LineH(x+1,y+6,2,red,green,blue);
		return 4;
		break;
		case 'b':
		LineV(x,y,7,red,green,blue);
		LineH(x+2,y+2,2,red,green,blue);
		LineH(x+1,y+3,1,red,green,blue);
		LineV(x+4,y+3,3,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		return 4;
		break;
		case 'c':
		LineV(x,y+3,3,red,green,blue);
		LineH(x+1,y+2,2,red,green,blue);
		LineH(x+3,y+5,1,red,green,blue);
		LineH(x+1,y+6,2,red,green,blue);
		return 4;
		break;
		case 'd':
		LineV(x,y+3,3,red,green,blue);
		LineV(x+3,y,7,red,green,blue);
		LineH(x+1,y+2,2,red,green,blue);
		LineH(x+1,y+6,2,red,green,blue);
		return 4;
		break;
		case 'e':
		LineV(x,y+3,3,red,green,blue);
		LineV(x+3,y+3,1,red,green,blue);
		LineH(x+1,y+2,2,red,green,blue);
		LineH(x+1,y+4,2,red,green,blue);
		LineH(x+1,y+6,3,red,green,blue);
		return 4;
		break;
		case 'f':
		LineV(x+1,y+1,6,red,green,blue);
		LineV(x+2,y,1,red,green,blue);
		LineV(x+3,y+1,1,red,green,blue);
		LineH(x,y+3,3,red,green,blue);
		return 3;
		break;
		case 'g':
		LineV(x,y+3,1,red,green,blue);
		LineV(x+3,y+2,4,red,green,blue);
		LineH(x+1,y+2,2,red,green,blue);
		LineH(x+1,y+4,2,red,green,blue);
		LineH(x+1,y+6,2,red,green,blue);
		return 4;
		break;
		case 'i':
		LineV(x,y+1,1,red,green,blue);
		LineV(x,y+3,4,red,green,blue);
		return 1;
		break;
		case 'j':
		LineV(x,y+5,1,red,green,blue);
		LineV(x+1,y+2,1,red,green,blue);
		LineV(x+1,y+6,1,red,green,blue);
		LineV(x+2,y,1,red,green,blue);
		LineV(x+2,y+2,4,red,green,blue);
		return 3;
		break;
		case 'k':
		LineV(x,y,7,red,green,blue);
		LineV(x+1,y+4,1,red,green,blue);
		LineV(x+2,y+3,1,red,green,blue);
		LineV(x+2,y+5,1,red,green,blue);
		LineV(x+3,y+2,1,red,green,blue);
		LineV(x+3,y+6,1,red,green,blue);
		return 4;
		break;
		case 'l':
		LineV(x,y,7,red,green,blue);
		return 1;
		break;
		case 'm':
		LineV(x,y+2,5,red,green,blue);
		LineV(x+1,y+2,1,red,green,blue);
		LineV(x+2,y+3,4,red,green,blue);
		LineV(x+3,y+2,1,red,green,blue);
		LineV(x+4,y+3,4,red,green,blue);
		return 5;
		break;
		case 'n':
		LineV(x,y+2,5,red,green,blue);
		LineV(x+3,y+2,5,red,green,blue);
		LineH(x+1,y+3,1,red,green,blue);
		LineH(x+2,y+2,1,red,green,blue);
		return 4;
		break;
		case 'o':
		LineH(x+1,y+2,2,red,green,blue);
		LineH(x+1,y+6,2,red,green,blue);
		LineV(x,y+3,3,red,green,blue);
		LineV(x+3,y+3,3,red,green,blue);
		return 4;
		break;
		case 'p':
		LineV(x,y+2,5,red,green,blue);
		LineH(x+1,y+2,2,red,green,blue);
		LineH(x+1,y+4,2,red,green,blue);
		LineV(x+3,y+3,1,red,green,blue);
		return 4;
		break;
		case 'r':
		LineV(x,y+2,5,red,green,blue);
		LineH(x+1,y+3,1,red,green,blue);
		LineH(x+2,y+2,1,red,green,blue);
		LineV(x+3,y+3,1,red,green,blue);
		return 4;
		break;
		case 's':
		LineH(x+1,y+2,3,red,green,blue);
		LineH(x+1,y+4,2,red,green,blue);
		LineH(x,y+6,3,red,green,blue);
		LineV(x,y+3,1,red,green,blue);
		LineV(x+3,y+5,1,red,green,blue);
		return 4;
		break;
		case 't':
		LineV(x+1,y,6,red,green,blue);
		LineV(x+2,y+6,1,red,green,blue);
		LineV(x+3,y+5,1,red,green,blue);
		LineH(x,y+2,3,red,green,blue);
		return 4;
		break;
		case 'u':
		LineV(x,y+2,4,red,green,blue);
		LineV(x+3,y+2,4,red,green,blue);
		LineH(x+1,y+6,2,red,green,blue);
		return 4;
		break;
		case 'y':
		LineV(x,y+2,2,red,green,blue);
		LineV(x+3,y+2,4,red,green,blue);
		LineH(x+1,y+4,2,red,green,blue);
		LineH(x+1,y+6,2,red,green,blue);
		return 4;
		break;
		case 'v':
		LineV(x,y+2,4,red,green,blue);
		LineV(x+2,y+2,4,red,green,blue);
		//LineH(x+1,y+5,2,red,green,blue);
		LineH(x+1,y+6,1,red,green,blue);
		return 3;
		break;
		case 'z':
		LineH(x,y+2,4,red,green,blue);
		LineH(x,y+6,4,red,green,blue);
		LineH(x+3,y+3,1,red,green,blue);
		LineH(x+2,y+4,1,red,green,blue);
		LineH(x+1,y+5,1,red,green,blue);
		return 4;
		break;
	}
	return 0;
}

void Out9x13Char(char zeichen, uint8_t  x, uint8_t y, uint8_t rot,uint8_t gruen,uint8_t blau){
	switch (zeichen){
		case '0':
			SEGs(x,y+1,12,rot,gruen,blau);
			SEGs(x+1,y,14,rot,gruen,blau);
			SEGs(x+8,y+1,12,rot,gruen,blau);
			SEGs(x+7,y,14,rot,gruen,blau);
			SEGw(x+2,y,5,rot,gruen,blau);
			SEGw(x+2,y+1,5,rot,gruen,blau);
			SEGw(x+2,y+12,5,rot,gruen,blau);
			SEGw(x+2,y+13,5,rot,gruen,blau);
		break;
		case '1':
			SEGs(x+6,y+1,12,rot,gruen,blau);
			SEGs(x+7,y,14,rot,gruen,blau);
			SEGs(x+8,y+1,12,rot,gruen,blau);
		break;
		case '2':
			SEGs(x+8,y+1,6,rot,gruen,blau);
			SEGs(x+7,y,8,rot,gruen,blau);
			SEGs(x,y+7,6,rot,gruen,blau);
			SEGs(x+1,y+6,8,rot,gruen,blau);
			SEGw(x+1,y,6,rot,gruen,blau);
			SEGw(x,y+1,7,rot,gruen,blau);
			SEGw(x+2,y+12,7,rot,gruen,blau);
			SEGw(x+2,y+13,6,rot,gruen,blau);
			SEGw(x+2,y+6,5,rot,gruen,blau);
			SEGw(x+2,y+7,5,rot,gruen,blau);
		break;
		case '3':
			SEGs(x+8,y+1,12,rot,gruen,blau);
			SEGs(x+7,y,14,rot,gruen,blau);
			SEGw(x+1,y,6,rot,gruen,blau);
			SEGw(x,y+1,7,rot,gruen,blau);
			SEGw(x,y+12,7,rot,gruen,blau);
			SEGw(x+1,y+13,6,rot,gruen,blau);
			SEGw(x+2,y+6,5,rot,gruen,blau);
			SEGw(x+2,y+7,5,rot,gruen,blau);
		break;
		case '4':
			SEGs(x,y+1,6,rot,gruen,blau);
			SEGs(x+1,y,8,rot,gruen,blau);
			SEGw(x+2,y+6,5,rot,gruen,blau);
			SEGw(x+2,y+7,5,rot,gruen,blau);
			SEGs(x+8,y+1,12,rot,gruen,blau);
			SEGs(x+7,y,14,rot,gruen,blau);
		break;
		case '5':
			SEGs(x+8,y+7,6,rot,gruen,blau);
			SEGs(x+7,y+6,8,rot,gruen,blau);
			SEGs(x,y+1,6,rot,gruen,blau);
			SEGs(x+1,y,8,rot,gruen,blau);
			SEGw(x+2,y,6,rot,gruen,blau);
			SEGw(x+2,y+1,7,rot,gruen,blau);
			SEGw(x,y+12,7,rot,gruen,blau);
			SEGw(x+1,y+13,6,rot,gruen,blau);
			SEGw(x+2,y+6,5,rot,gruen,blau);
			SEGw(x+2,y+7,5,rot,gruen,blau);
		break;
		case '6':
			SEGs(x+8,y+7,6,rot,gruen,blau);
			SEGs(x+7,y+6,8,rot,gruen,blau);
			SEGs(x,y+1,11,rot,gruen,blau);
			SEGs(x+1,y,12,rot,gruen,blau);
			SEGw(x+2,y,6,rot,gruen,blau);
			SEGw(x+2,y+1,7,rot,gruen,blau);
			SEGw(x,y+12,7,rot,gruen,blau);
			SEGw(x+1,y+13,6,rot,gruen,blau);
			SEGw(x+2,y+6,5,rot,gruen,blau);
			SEGw(x+2,y+7,5,rot,gruen,blau);
		break;
		case '7':
			SEGs(x+7,y,14,rot,gruen,blau);
			SEGs(x+8,y+1,12,rot,gruen,blau);
			SEGw(x+1,y,6,rot,gruen,blau);
			SEGw(x,y+1,7,rot,gruen,blau);
		break;
		case '8':
			SEGs(x,y+1,12,rot,gruen,blau);
			SEGs(x+1,y,14,rot,gruen,blau);
			SEGs(x+8,y+1,12,rot,gruen,blau);
			SEGs(x+7,y,14,rot,gruen,blau);
			SEGw(x+2,y,5,rot,gruen,blau);
			SEGw(x+2,y+1,5,rot,gruen,blau);
			SEGw(x+2,y+6,5,rot,gruen,blau);
			SEGw(x+2,y+7,5,rot,gruen,blau);
			SEGw(x+2,y+12,5,rot,gruen,blau);
			SEGw(x+2,y+13,5,rot,gruen,blau);
		break;
		case '9':
			SEGs(x,y+1,6,rot,gruen,blau);
			SEGs(x+1,y,8,rot,gruen,blau);
			SEGs(x+8,y+1,12,rot,gruen,blau);
			SEGs(x+7,y,14,rot,gruen,blau);
			SEGw(x+2,y,5,rot,gruen,blau);
			SEGw(x+2,y+1,5,rot,gruen,blau);
			SEGw(x+2,y+6,5,rot,gruen,blau);
			SEGw(x+2,y+7,5,rot,gruen,blau);
			SEGw(x,y+12,7,rot,gruen,blau);
			SEGw(x+1,y+13,6,rot,gruen,blau);
		break;
	}
}

void Out10x16Char(char charater, uint8_t  x, uint8_t y, uint8_t red,uint8_t green,uint8_t blue){
	switch (charater){
		case '0':
		LineH(x+2,y,6,red,green,blue);
		LineH(x+1,y+1,8,red,green,blue);
		LineH(x,y+2,10,red,green,blue);
		LineV(x,y+3,10,red,green,blue);
		LineV(x+1,y+3,10,red,green,blue);
		LineV(x+2,y+3,10,red,green,blue);
		LineV(x+7,y+3,10,red,green,blue);
		LineV(x+8,y+3,10,red,green,blue);
		LineV(x+9,y+3,10,red,green,blue);
		LineH(x,y+13,10,red,green,blue);
		LineH(x+1,y+14,8,red,green,blue);
		LineH(x+2,y+15,6,red,green,blue);
		break;
		case '1':
		LineV(x+3,y+3,3,red,green,blue);
		LineV(x+4,y+2,3,red,green,blue);
		LineV(x+5,y+1,3,red,green,blue);
		LineV(x+6,y,3,red,green,blue);
		LineV(x+7,y,16,red,green,blue);
		LineV(x+8,y,16,red,green,blue);
		LineV(x+9,y,16,red,green,blue);
		break;
		case '2':
		LineH(x+2,y,6,red,green,blue);
		LineH(x+1,y+1,8,red,green,blue);
		LineH(x,y+2,10,red,green,blue);
		LineH(x,y+3,3,red,green,blue);
		LineV(x+8,y+2,5,red,green,blue);
		LineV(x+9,y+2,5,red,green,blue);
		LineV(x+7,y+2,5,red,green,blue);
		LineH(x+6,y+7,3,red,green,blue);
		LineH(x+5,y+8,3,red,green,blue);
		LineH(x+4,y+9,3,red,green,blue);
		LineH(x+3,y+10,3,red,green,blue);
		LineH(x+2,y+11,3,red,green,blue);
		LineH(x+1,y+12,3,red,green,blue);
		LineH(x,y+13,10,red,green,blue);
		LineH(x,y+14,10,red,green,blue);
		LineH(x,y+15,10,red,green,blue);
		break;
		case '3':
		LineH(x+2,y,6,red,green,blue);
		LineH(x+1,y+1,8,red,green,blue);
		LineH(x,y+2,10,red,green,blue);
		LineH(x,y+3,3,red,green,blue);
		LineV(x+7,y+2,12,red,green,blue);
		LineV(x+8,y+2,12,red,green,blue);
		LineV(x+9,y+2,5,red,green,blue);
		LineV(x+9,y+9,5,red,green,blue);
		LineH(x+4,y+7,4,red,green,blue);
		LineH(x+4,y+8,4,red,green,blue);
		LineH(x,y+12,3,red,green,blue);
		LineH(x,y+13,10,red,green,blue);
		LineH(x+1,y+14,8,red,green,blue);
		LineH(x+2,y+15,6,red,green,blue);
		break;
		case '4':
		LineV(x,y,7,red,green,blue);
		LineV(x+1,y,8,red,green,blue);
		LineV(x+2,y,8,red,green,blue);
		LineH(x+2,y+7,6,red,green,blue);
		LineH(x+2,y+8,6,red,green,blue);
		LineV(x+7,y,16,red,green,blue);
		LineV(x+8,y,16,red,green,blue);
		LineV(x+9,y,16,red,green,blue);
		break;
		case '5':
		LineH(x+1,y,9,red,green,blue);
		LineH(x,y+1,10,red,green,blue);
		LineH(x,y+2,9,red,green,blue);
		LineV(x,y+3,5,red,green,blue);
		LineV(x+1,y+3,6,red,green,blue);
		LineV(x+2,y+3,6,red,green,blue);
		LineH(x+3,y+7,5,red,green,blue);
		LineH(x+3,y+8,6,red,green,blue);
		LineV(x+7,y+8,6,red,green,blue);
		LineV(x+8,y+8,6,red,green,blue);
		LineV(x+9,y+9,5,red,green,blue);
		LineH(x,y+12,3,red,green,blue);
		LineH(x,y+13,7,red,green,blue);
		LineH(x+1,y+14,8,red,green,blue);
		LineH(x+2,y+15,6,red,green,blue);
		break;
		case '6':
		LineH(x+2,y,6,red,green,blue);
		LineH(x+1,y+1,8,red,green,blue);
		LineH(x,y+2,10,red,green,blue);
		LineV(x,y+2,12,red,green,blue);
		LineV(x+1,y+1,14,red,green,blue);
		LineV(x+2,y+1,14,red,green,blue);
		LineH(x+7,y+3,3,red,green,blue);
		LineH(x+2,y+7,6,red,green,blue);
		LineH(x+2,y+8,6,red,green,blue);
		LineV(x+7,y+8,6,red,green,blue);
		LineV(x+8,y+8,6,red,green,blue);
		LineV(x+9,y+9,5,red,green,blue);
		LineH(x,y+13,10,red,green,blue);
		LineH(x+1,y+14,8,red,green,blue);
		LineH(x+2,y+15,6,red,green,blue);
		break;
		case '7':
		LineH(x+1,y,9,red,green,blue);
		LineH(x,y+1,10,red,green,blue);
		LineH(x,y+2,10,red,green,blue);
		LineV(x+7,y+2,2,red,green,blue);
		LineV(x+8,y+2,2,red,green,blue);
		LineV(x+9,y+2,2,red,green,blue);
		LineV(x+6,y+4,3,red,green,blue);
		LineV(x+7,y+4,3,red,green,blue);
		LineV(x+8,y+4,3,red,green,blue);
		LineV(x+5,y+7,3,red,green,blue);
		LineV(x+6,y+7,3,red,green,blue);
		LineV(x+7,y+7,3,red,green,blue);
		LineV(x+4,y+10,3,red,green,blue);
		LineV(x+5,y+10,3,red,green,blue);
		LineV(x+6,y+10,3,red,green,blue);
		LineV(x+3,y+13,3,red,green,blue);
		LineV(x+4,y+13,3,red,green,blue);
		LineV(x+5,y+13,3,red,green,blue);
		break;
		case '8':
		LineH(x+2,y,6,red,green,blue);
		LineH(x+1,y+1,8,red,green,blue);
		LineH(x,y+2,10,red,green,blue);
		LineV(x,y+2,5,red,green,blue);
		LineV(x+1,y+2,5,red,green,blue);
		LineV(x+2,y+2,5,red,green,blue);
		LineV(x,y+9,5,red,green,blue);
		LineV(x+1,y+9,5,red,green,blue);
		LineV(x+2,y+9,5,red,green,blue);
		LineV(x+7,y+2,5,red,green,blue);
		LineV(x+8,y+2,5,red,green,blue);
		LineV(x+9,y+2,5,red,green,blue);
		LineV(x+7,y+9,5,red,green,blue);
		LineV(x+8,y+9,5,red,green,blue);
		LineV(x+9,y+9,5,red,green,blue);
		LineH(x+1,y+7,8,red,green,blue);
		LineH(x+1,y+8,8,red,green,blue);
		LineH(x,y+13,10,red,green,blue);
		LineH(x+1,y+14,8,red,green,blue);
		LineH(x+2,y+15,6,red,green,blue);
		break;
		case '9':
		LineH(x+2,y,6,red,green,blue);
		LineH(x+1,y+1,8,red,green,blue);
		LineH(x,y+2,10,red,green,blue);
		LineV(x,y+2,5,red,green,blue);
		LineV(x+1,y+2,5,red,green,blue);
		LineV(x+2,y+2,5,red,green,blue);
		LineV(x+7,y+2,5,red,green,blue);
		LineV(x+8,y+2,5,red,green,blue);
		LineV(x+9,y+2,5,red,green,blue);
		LineV(x+7,y+9,5,red,green,blue);
		LineV(x+8,y+9,5,red,green,blue);
		LineV(x+9,y+9,5,red,green,blue);
		LineH(x+1,y+7,9,red,green,blue);
		LineH(x+2,y+8,8,red,green,blue);
		LineH(x,y+12,3,red,green,blue);
		LineH(x,y+13,10,red,green,blue);
		LineH(x+1,y+14,8,red,green,blue);
		LineH(x+2,y+15,6,red,green,blue);
		break;
		case '.':
		LineH(x,y+10,2,red,green,blue);
		LineH(x,y+11,2,red,green,blue);
		break;
		case ':':
		LineH(x,y+4,2,red,green,blue);
		LineH(x,y+5,2,red,green,blue);
		LineH(x,y+10,2,red,green,blue);
		LineH(x,y+11,2,red,green,blue);
		break;
		case '>':
		LineH(x+2,y+1,2,red,green,blue);
		LineH(x+2,y+2,2,red,green,blue);
		LineH(x+4,y+3,2,red,green,blue);
		LineH(x+4,y+4,2,red,green,blue);
		LineH(x+6,y+5,2,red,green,blue);
		LineH(x+6,y+6,2,red,green,blue);
		LineH(x+8,y+7,2,red,green,blue);
		LineH(x+8,y+8,2,red,green,blue);
		LineH(x+6,y+9,2,red,green,blue);
		LineH(x+6,y+10,2,red,green,blue);
		LineH(x+4,y+11,2,red,green,blue);
		LineH(x+4,y+12,2,red,green,blue);
		LineH(x+2,y+13,2,red,green,blue);
		LineH(x+2,y+14,2,red,green,blue);
		break;
		case ' ':
		for(uint8_t var= 0;var < 10;var++){
			LineV(x+var,y,16,0,0,0);
		}
		break;
		case '-':
		LineH(x+2,y+7,6,red,green,blue);
		LineH(x+2,y+8,6,red,green,blue);
		break;
	}
}